GNU bug report logs - #20022
24.4.90; window-body-height, window-body-width wrong value after text-scale-adjust

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Vitalie Spinu <spinuvit@HIDDEN>; merged with #19194; dated Fri, 6 Mar 2015 22:33:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Forcibly Merged 19194 20022. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 20022 <at> debbugs.gnu.org:


Received: (at 20022) by debbugs.gnu.org; 8 Mar 2015 10:03:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 08 06:03:46 2015
Received: from localhost ([127.0.0.1]:39146 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YUY3m-0003It-0v
	for submit <at> debbugs.gnu.org; Sun, 08 Mar 2015 06:03:46 -0400
Received: from mout.gmx.net ([212.227.15.18]:51831)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YUY3k-0003Ig-5M
 for 20022 <at> debbugs.gnu.org; Sun, 08 Mar 2015 06:03:44 -0400
Received: from [178.191.143.22] ([178.191.143.22]) by mail.gmx.com (mrgmx001)
 with ESMTPSA (Nemesis) id 0M1Wcz-1Xc1ez0hwH-00tVtL;
 Sun, 08 Mar 2015 11:03:36 +0100
Message-ID: <54FC1E6E.4080205@HIDDEN>
Date: Sun, 08 Mar 2015 11:03:26 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Vitalie Spinu <spinuvit@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20022: 24.4.90; window-body-height, window-body-width wrong
 value after	text-scale-adjust
References: <874mpx3gh2.fsf@HIDDEN>
 <83a8zpm92q.fsf@HIDDEN>	<87vbic23j5.fsf@HIDDEN> <83pp8kllrh.fsf@HIDDEN>
 <87oao41qo3.fsf@HIDDEN>
In-Reply-To: <87oao41qo3.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:4kXcOF4+hXEHJQD6B/XhPQhumWjwLvBrfTJARYijeW/auuOe6xN
 RFwHpM26MrYWD3pJCBxgWwTKxPcyEaHLLOWbFS52ioF7hHhGpnz+ycrxdLsaBhvqua/yxlE
 jiOtdzNfi7OzYTkMQcG6C4h1Dl073bbJMhMw2I/mkynLD1UoSE4kIOxP+OK/sp/piRq9rXM
 Dh5yEBZ0unN/WqT7upsrQ==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20022
Cc: 20022 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > I guess the core of the problem is that having a width/height computed
 > using default buffer font is more useful than using frame default
 > font. Given that the docs were never clear maybe the behavior of
 > existing functions could be changed. Or an additional font-toggling
 > argument added to those.

You mean that switching to another buffer in a window could change the
nominal height of that window?

I have no opinion on this because I don't care about line-/column values
returned by these functions.  The only thing I do care about is that if
you have two side-by-side windows, the value of `window-left-column' of
the right window equals the sum of `window-left-column' and
`window-total-width' of the window on the left.  Otherwise, windmove's
functions might fail and I have no intention to fix them again.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20022; Package emacs. Full text available.

Message received at 20022 <at> debbugs.gnu.org:


Received: (at 20022) by debbugs.gnu.org; 8 Mar 2015 03:48:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 07 22:47:59 2015
Received: from localhost ([127.0.0.1]:39016 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YUSC7-0002C6-AV
	for submit <at> debbugs.gnu.org; Sat, 07 Mar 2015 22:47:59 -0500
Received: from mtaout22.012.net.il ([80.179.55.172]:65248)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1YUSC3-0002Br-UQ
 for 20022 <at> debbugs.gnu.org; Sat, 07 Mar 2015 22:47:57 -0500
Received: from conversion-daemon.a-mtaout22.012.net.il by
 a-mtaout22.012.net.il (HyperSendmail v2007.08) id
 <0NKV00I00JUYQW00@HIDDEN> for 20022 <at> debbugs.gnu.org;
 Sun, 08 Mar 2015 05:47:49 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout22.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NKV00IIZJVOJK90@HIDDEN>;
 Sun, 08 Mar 2015 05:47:49 +0200 (IST)
Date: Sun, 08 Mar 2015 05:47:32 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20022: 24.4.90;
 window-body-height, window-body-width wrong value
 after	text-scale-adjust
In-reply-to: <87oao41qo3.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Vitalie Spinu <spinuvit@HIDDEN>
Message-id: <83mw3okv57.fsf@HIDDEN>
References: <874mpx3gh2.fsf@HIDDEN> <83a8zpm92q.fsf@HIDDEN>
 <87vbic23j5.fsf@HIDDEN> <83pp8kllrh.fsf@HIDDEN>
 <87oao41qo3.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 20022
Cc: 20022 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Vitalie Spinu <spinuvit@HIDDEN>
> Cc: 20022 <at> debbugs.gnu.org
> Date: Sat, 07 Mar 2015 22:46:52 +0200
> 
>  >>> Eli Zaretskii on Sat, 07 Mar 2015 20:12:34 +0200 wrote:
> 
>  > having a term that needs to be explained by telling how to compute it
>  > sends a confusing message.
> 
> It gives an operational definition of "lines", which is a valid
> definition.

An operational definition doesn't really define anything.  What it
does is tell the reader that the term itself is not what it looks
like.  So it doesn't help much in this case, where the term is vague
to begin with.

> It's confusing to see 100 lines in a buffer and to be told that
> there are 25 "lines".

Yes, it is.  Which is why this issue is hard to explain.  Things get
less confusing once you realize that these are just units to measure
window dimensions, not a means to tell how many characters will fit.

>  >> I simply need the number of characters that can be fit in a single line
>  >> in order to set the sub-process output width.
> 
>  > This can only be meaningfully computed if the text emitted by the
>  > subprocess will be rendered in its entirety using the default face.
> 
> Sure, but that's the case of window-height as well. It's based on the
> size of a particular font regardless of what's contained in the buffer.

I'm asking whether this is a frequent enough use case.  Even Grep and
compilation buffers use several faces, which violates this assumption.
As Emacs moves more and more towards variable-face text, there will be
fewer use cases where this will be true.

>  > Not that I know of.  We could provide a function for that, if this
>  > functionality is deemed important enough.
> 
> I guess the core of the problem is that having a width/height computed
> using default buffer font is more useful than using frame default
> font.

See above: those measurement units were just that.

> Given that the docs were never clear maybe the behavior of
> existing functions could be changed.

No, too much code depends on that.  Like the functions that resize
windows, for example.

> Or an additional font-toggling argument added to those.

I'd rather we provided a separate set of functions for that (since the
implementation is quite different).  Assuming that a fixed font is a
popular enough use case, that is.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20022; Package emacs. Full text available.

Message received at 20022 <at> debbugs.gnu.org:


Received: (at 20022) by debbugs.gnu.org; 7 Mar 2015 20:49:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 07 15:49:42 2015
Received: from localhost ([127.0.0.1]:38908 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YULfK-0000X7-3t
	for submit <at> debbugs.gnu.org; Sat, 07 Mar 2015 15:49:42 -0500
Received: from mail-wg0-f42.google.com ([74.125.82.42]:41892)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <spinuvit@HIDDEN>) id 1YULfI-0000Wu-9F
 for 20022 <at> debbugs.gnu.org; Sat, 07 Mar 2015 15:49:40 -0500
Received: by wghl2 with SMTP id l2so23130959wgh.8
 for <20022 <at> debbugs.gnu.org>; Sat, 07 Mar 2015 12:49:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=/P+wlPKM40W2l/+eVVc8OYotGN331Ygl0KzJ8JIHZpo=;
 b=TyxBmcpTsQqi9NPx7/YLzr7SLRld5AgkwQy9dFRc7eOZ7PonSh0+tYm6B2lnVh3lfI
 DISsdx8Sstw6hOmeELk2H1q7X/w05ouQkS30B0S64BYcFZI6J8k5GjNBpWrRo9rGLCCi
 NiumTe95uAKkXdoQZrr7lalwK6rRcDdvs5rFAVhaqIUylujJXG/8pzPGDxZf/ESPzXot
 53y110iEn5R3FlygGGHXapiTioxszCcvs0EGPrJqna+c1ZZPIMmLBVFGZCyr/PetokvN
 hT+Skwx+MMLwwIKRgWHzTuwG6hklHScTMi6+ySHUHQ8oqze4ha+eXqAFNSRj3Ik/yy6i
 yKdA==
X-Received: by 10.194.95.4 with SMTP id dg4mr4016153wjb.81.1425761374707;
 Sat, 07 Mar 2015 12:49:34 -0800 (PST)
Received: from localhost (host-static-86-106-238-197.moldtelecom.md.
 [86.106.238.197])
 by mx.google.com with ESMTPSA id k6sm8096767wia.6.2015.03.07.12.49.33
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 07 Mar 2015 12:49:33 -0800 (PST)
From: Vitalie Spinu <spinuvit@HIDDEN>
To: martin rudalics <rudalics@HIDDEN>
Subject: Re: bug#20022: 24.4.90;
 window-body-height, window-body-width wrong value
 after	text-scale-adjust
References: <874mpx3gh2.fsf@HIDDEN> <83a8zpm92q.fsf@HIDDEN>
 <87vbic23j5.fsf@HIDDEN> <54FB3C42.7050202@HIDDEN>
Date: Sat, 07 Mar 2015 22:49:32 +0200
In-Reply-To: <54FB3C42.7050202@HIDDEN> (martin rudalics's message of "Sat, 07
 Mar 2015 18:58:26 +0100")
Message-ID: <87k2ys1qjn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20022
Cc: 20022 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 >>> martin rudalics on Sat, 07 Mar 2015 18:58:26 +0100 wrote:

 > See also Bug#19194 and Bug#19395.

Indeed, this issue seems to be a duplicate of Bug#19194.

  Vitalie




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20022; Package emacs. Full text available.

Message received at 20022 <at> debbugs.gnu.org:


Received: (at 20022) by debbugs.gnu.org; 7 Mar 2015 20:47:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 07 15:47:07 2015
Received: from localhost ([127.0.0.1]:38904 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YULcp-0000TI-0K
	for submit <at> debbugs.gnu.org; Sat, 07 Mar 2015 15:47:07 -0500
Received: from mail-wi0-f178.google.com ([209.85.212.178]:38740)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <spinuvit@HIDDEN>) id 1YULci-0000Se-1D
 for 20022 <at> debbugs.gnu.org; Sat, 07 Mar 2015 15:47:00 -0500
Received: by widex7 with SMTP id ex7so10454663wid.3
 for <20022 <at> debbugs.gnu.org>; Sat, 07 Mar 2015 12:46:54 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type;
 bh=fNIMw49R+tF+YhLhZ/c5AoMsdgs8HHpX1sE/OUwBDRY=;
 b=dVO2p9Os5fux1DnaFPmRxoSD8l3o1ASKVhpZ4gI/p0TAvJkB6ek///rR7CeeozfhtV
 C+wH2PL3iCRQMZ8itIH1nrTF+pYBihH15o8RbRWiCr9lx+R39RH8vHr7Y3YwoMk4iuQ9
 HoQzhxEnUpZlBYf332qFwhiB5iRVAknmcULDjmcv6Zp3djXMQS3ulJFEk/Th/dxWvYk+
 wnB98vlR+1QzFOAkeP3LyBpQJPU7/F0cku8TRDYlnVuuSO3AAx4GXr3ve3iRW0Sf2vUq
 QVn/pSqlWVZwprF+QcDs1/cMQIjlsydPrbIVyOL6pp08tmYZMP9mcxXqnm+QceDVizZm
 rK6Q==
X-Received: by 10.180.210.228 with SMTP id mx4mr77953312wic.71.1425761214396; 
 Sat, 07 Mar 2015 12:46:54 -0800 (PST)
Received: from localhost (host-static-86-106-238-197.moldtelecom.md.
 [86.106.238.197])
 by mx.google.com with ESMTPSA id y14sm20791797wjr.39.2015.03.07.12.46.53
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 07 Mar 2015 12:46:53 -0800 (PST)
From: Vitalie Spinu <spinuvit@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20022: 24.4.90;
 window-body-height, window-body-width wrong value
 after	text-scale-adjust
References: <874mpx3gh2.fsf@HIDDEN> <83a8zpm92q.fsf@HIDDEN>
 <87vbic23j5.fsf@HIDDEN> <83pp8kllrh.fsf@HIDDEN>
Date: Sat, 07 Mar 2015 22:46:52 +0200
In-Reply-To: <83pp8kllrh.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 07 Mar
 2015 20:12:34 +0200")
Message-ID: <87oao41qo3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20022
Cc: 20022 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 >>> Eli Zaretskii on Sat, 07 Mar 2015 20:12:34 +0200 wrote:

 > having a term that needs to be explained by telling how to compute it
 > sends a confusing message.

It gives an operational definition of "lines", which is a valid
definition. It's confusing to see 100 lines in a buffer and to be told
that there are 25 "lines".

 >> I simply need the number of characters that can be fit in a single line
 >> in order to set the sub-process output width.

 > This can only be meaningfully computed if the text emitted by the
 > subprocess will be rendered in its entirety using the default face.

Sure, but that's the case of window-height as well. It's based on the
size of a particular font regardless of what's contained in the buffer.

 > Not that I know of.  We could provide a function for that, if this
 > functionality is deemed important enough.

I guess the core of the problem is that having a width/height computed
using default buffer font is more useful than using frame default
font. Given that the docs were never clear maybe the behavior of
existing functions could be changed. Or an additional font-toggling
argument added to those.

  Vitalie




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20022; Package emacs. Full text available.

Message received at 20022 <at> debbugs.gnu.org:


Received: (at 20022) by debbugs.gnu.org; 7 Mar 2015 18:13:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 07 13:13:01 2015
Received: from localhost ([127.0.0.1]:38878 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YUJDg-00059U-DQ
	for submit <at> debbugs.gnu.org; Sat, 07 Mar 2015 13:13:00 -0500
Received: from mtaout20.012.net.il ([80.179.55.166]:42848)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1YUJDd-00059E-Gc
 for 20022 <at> debbugs.gnu.org; Sat, 07 Mar 2015 13:12:59 -0500
Received: from conversion-daemon.a-mtaout20.012.net.il by
 a-mtaout20.012.net.il (HyperSendmail v2007.08) id
 <0NKU00F00SXHA800@HIDDEN> for 20022 <at> debbugs.gnu.org;
 Sat, 07 Mar 2015 20:12:50 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NKU00FTOT98CE00@HIDDEN>;
 Sat, 07 Mar 2015 20:12:45 +0200 (IST)
Date: Sat, 07 Mar 2015 20:12:34 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20022: 24.4.90;
 window-body-height, window-body-width wrong value
 after	text-scale-adjust
In-reply-to: <87vbic23j5.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Vitalie Spinu <spinuvit@HIDDEN>
Message-id: <83pp8kllrh.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-transfer-encoding: 8BIT
References: <874mpx3gh2.fsf@HIDDEN> <83a8zpm92q.fsf@HIDDEN>
 <87vbic23j5.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 20022
Cc: 20022 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Vitalie Spinu <spinuvit@HIDDEN>
> Cc: 20022 <at> debbugs.gnu.org
> Date: Sat, 07 Mar 2015 18:09:02 +0200
> 
>  >>> Eli Zaretskii on Sat, 07 Mar 2015 11:49:01 +0200 wrote:
> 
>  >> After text-scale-adjust [C-x C-] window-height and window-width return
>  >> the old (original) value.
> 
>  > As designed: the value is measured in canonical character units.
> 
> The doc string of of `window-body-width` and `window-body-height` don't
> even mention the measurement unit.

It says "divided by the character width".

> The docs can easel be more
> explicit. Something along the following lines:
> 
>   Return the height of WINDOW's text area in canonical lines. The height
>   of a canonical line is given by `frame-char-height`.

If there's agreement that mentioning canonical lines will make this
clear (personally, I'm not sure), I'm fine with that.  But adding the
sentence about frame-char-height IMO just muddies the water: having a
term that needs to be explained by telling how to compute it sends a
confusing message.

> BTW, the "width of a “default” character" is confusing as of the
> conflicting meaning with the `default-font-height`. "Canonical" is a
> better term IMO.

They are both vague, and need a lot of explanations to fully
understand.  Luckily, most people don't need to.

> I simply need the number of characters that can be fit in a single line
> in order to set the sub-process output width.

This can only be meaningfully computed if the text emitted by the
subprocess will be rendered in its entirety using the default face.
If that's what you need, it should be easy to provide such a function,
but I don't think we have it now.  Martin might have some tricks up
his sleeve, though.

> Building on your "approximation" trick, I can get an approximate width
> in pixels of the character, then divide the width of the window in
> pixels by this width to get the approximate number of characters. Is
> there an easier way?

Not that I know of.  We could provide a function for that, if this
functionality is deemed important enough.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20022; Package emacs. Full text available.

Message received at 20022 <at> debbugs.gnu.org:


Received: (at 20022) by debbugs.gnu.org; 7 Mar 2015 17:58:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 07 12:58:45 2015
Received: from localhost ([127.0.0.1]:38873 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YUIzt-0004nO-3w
	for submit <at> debbugs.gnu.org; Sat, 07 Mar 2015 12:58:45 -0500
Received: from mout.gmx.net ([212.227.17.21]:63903)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YUIzq-0004nC-PR
 for 20022 <at> debbugs.gnu.org; Sat, 07 Mar 2015 12:58:43 -0500
Received: from [188.22.34.143] ([188.22.34.143]) by mail.gmx.com (mrgmx103)
 with ESMTPSA (Nemesis) id 0LcBPV-1XnEYI2BdN-00jZZK; Sat, 07 Mar 2015 18:58:35
 +0100
Message-ID: <54FB3C42.7050202@HIDDEN>
Date: Sat, 07 Mar 2015 18:58:26 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Vitalie Spinu <spinuvit@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20022: 24.4.90; window-body-height, window-body-width wrong
 value after	text-scale-adjust
References: <874mpx3gh2.fsf@HIDDEN> <83a8zpm92q.fsf@HIDDEN>
 <87vbic23j5.fsf@HIDDEN>
In-Reply-To: <87vbic23j5.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:hFII5u2bNUoEVZet4hwwlTaTol823EckLojLXN4AVYhs+OSvlyX
 Z4HbYnOjS6JOlmJ6/kDLJfiO+vfLwhVms0dlLnQhOtpHWBOlg38yVN5tsNkhI7JRck9QCKh
 KaK2+mEjIq1auZVLxrpgwn5ECLLrLWjN6wjFxQSMyI3Vtsz6iYrRDG34Jr0TbIqcWGAV6eO
 jp9wBD4CqWzT0/BWqu/6w==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20022
Cc: 20022 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > Building on your "approximation" trick, I can get an approximate width
 > in pixels of the character, then divide the width of the window in
 > pixels by this width to get the approximate number of characters. Is
 > there an easier way?

See also Bug#19194 and Bug#19395.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20022; Package emacs. Full text available.

Message received at 20022 <at> debbugs.gnu.org:


Received: (at 20022) by debbugs.gnu.org; 7 Mar 2015 16:09:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 07 11:09:17 2015
Received: from localhost ([127.0.0.1]:38843 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YUHHw-0002BD-HD
	for submit <at> debbugs.gnu.org; Sat, 07 Mar 2015 11:09:16 -0500
Received: from mail-wg0-f47.google.com ([74.125.82.47]:39184)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <spinuvit@HIDDEN>) id 1YUHHt-0002Az-RG
 for 20022 <at> debbugs.gnu.org; Sat, 07 Mar 2015 11:09:14 -0500
Received: by wghn12 with SMTP id n12so11803469wgh.6
 for <20022 <at> debbugs.gnu.org>; Sat, 07 Mar 2015 08:09:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-type:content-transfer-encoding;
 bh=nGJnDBdeuHG9E8V85OBIJY/dY2D0NlkmiDWe8kqlKp0=;
 b=O2yrv4ukHzIkNvEYSqcxq8srHj8aziahGNsGOmfTVOg2B/tdrwUFy901zBTTrVS91H
 fNZYjsu1DpLavGNQ6ZLyURdzIp6zBPlwgLcAlONHr9XX4s7iuqehZhGuBTJWG0RnI7pd
 uPDmNtC4d0mxBMAUo0itOA/yFsHIDkW8Qew2j8CmqstN83/y6Ye2W5DP9CCg3fJ8sRzI
 ha7DA4sFIfrBiXrawiO6hsDkjBbMmfF3EvOTgWHCuxqqCPwU7LVJJeweLUjS++IeszFR
 ts3Vj06j+WdKHpeGuZYCWgKNuqztP0f4NQnvvoNyGGUF0TJPj+lQzQC7dYSuXeVZMSyd
 u7pQ==
X-Received: by 10.194.60.203 with SMTP id j11mr41520834wjr.5.1425744548263;
 Sat, 07 Mar 2015 08:09:08 -0800 (PST)
Received: from localhost (host-static-86-106-238-197.moldtelecom.md.
 [86.106.238.197])
 by mx.google.com with ESMTPSA id s19sm39097652wik.18.2015.03.07.08.09.05
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 07 Mar 2015 08:09:05 -0800 (PST)
From: Vitalie Spinu <spinuvit@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20022: 24.4.90;
 window-body-height, window-body-width wrong value
 after	text-scale-adjust
References: <874mpx3gh2.fsf@HIDDEN> <83a8zpm92q.fsf@HIDDEN>
Date: Sat, 07 Mar 2015 18:09:02 +0200
In-Reply-To: <83a8zpm92q.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 07 Mar
 2015 11:49:01 +0200")
Message-ID: <87vbic23j5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.4.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 20022
Cc: 20022 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

 >>> Eli Zaretskii on Sat, 07 Mar 2015 11:49:01 +0200 wrote:

 >> After text-scale-adjust [C-x C-] window-height and window-width return
 >> the old (original) value.

 > As designed: the value is measured in canonical character units.

The doc string of of `window-body-width` and `window-body-height` don't
even mention the measurement unit. The docs can easel be more
explicit. Something along the following lines:

  Return the height of WINDOW's text area in canonical lines. The height
  of a canonical line is given by `frame-char-height`.

 > The ELisp manual explicitly says "frame's default character height".

Ok, thanks. This one is in the preamble of 27.3 Window Sizes manual page. I
have missed that paragraph completely.

BTW, the "width of a =E2=80=9Cdefault=E2=80=9D character" is confusing as o=
f the
conflicting meaning with the `default-font-height`. "Canonical" is a
better term IMO.

 > You want default-font-height, I think.  (A similar functionality for
 > width can be used based on font-info modifications on the master
 > branch only, but you could approximate that by assuming the same ratio
 > between the canonical width and the rescaled width as between the
 > canonical height and rescaled height.)
 > For the line height, don't forget the line-spacing issue, which is
 > taken into account by the default-line-height function.

Uff. That's rather complicated :(

 > I suspect that you might be trying to compute something for which
 > helpful functions already exist, so you are encouraged to tell more
 > details.

I simply need the number of characters that can be fit in a single line
in order to set the sub-process output width.

Building on your "approximation" trick, I can get an approximate width
in pixels of the character, then divide the width of the window in
pixels by this width to get the approximate number of characters. Is
there an easier way?

Thanks,

  Vitalie




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20022; Package emacs. Full text available.

Message received at 20022 <at> debbugs.gnu.org:


Received: (at 20022) by debbugs.gnu.org; 7 Mar 2015 09:49:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 07 04:49:05 2015
Received: from localhost ([127.0.0.1]:38122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YUBM1-0006bf-9s
	for submit <at> debbugs.gnu.org; Sat, 07 Mar 2015 04:49:05 -0500
Received: from mtaout23.012.net.il ([80.179.55.175]:38812)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <eliz@HIDDEN>) id 1YUBLz-0006bA-BI
 for 20022 <at> debbugs.gnu.org; Sat, 07 Mar 2015 04:49:04 -0500
Received: from conversion-daemon.a-mtaout23.012.net.il by
 a-mtaout23.012.net.il (HyperSendmail v2007.08) id
 <0NKU000005LF1C00@HIDDEN> for 20022 <at> debbugs.gnu.org;
 Sat, 07 Mar 2015 11:48:56 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout23.012.net.il
 (HyperSendmail v2007.08) with ESMTPA id
 <0NKU00NRZ5XK1FB0@HIDDEN>;
 Sat, 07 Mar 2015 11:48:56 +0200 (IST)
Date: Sat, 07 Mar 2015 11:49:01 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#20022: 24.4.90;
 window-body-height, window-body-width wrong value
 after	text-scale-adjust
In-reply-to: <874mpx3gh2.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Vitalie Spinu <spinuvit@HIDDEN>
Message-id: <83a8zpm92q.fsf@HIDDEN>
References: <874mpx3gh2.fsf@HIDDEN>
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 20022
Cc: 20022 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

> From: Vitalie Spinu <spinuvit@HIDDEN>
> Date: Sat, 07 Mar 2015 00:31:53 +0200
> 
> After text-scale-adjust [C-x C-] window-height and window-width return
> the old (original) value.

As designed: the value is measured in canonical character units.

> The doc says:
> 
>  This function returns the height, in lines, of the body of window
>  WINDOW.

It says much more than that.  In particular, it mentions "the
character height of WINDOW's frame", which should be a hint.  The
ELisp manual explicitly says "frame's default character height".

> So at least the docs are imprecise or incomplete.

Suggestions to how to make them more complete without confusing users
(who might not even know that the size of the default face's font can
be changed, or that text-scale-adjust exists at all) are welcome.

IOW, there's a problem here: we need to provide a description that
will make sense both to relative newbies and to sophisticated Lisp
programmers alike.  The current doc string is an attempt to do so.  If
you (or someone else) can suggest a better wording for that, it will
be most welcome.

> Relatedly, there seems to be no way to determine the height/width of a
> character in pixels after rescaling. `frame-char-width` returns the
> original size.

You want default-font-height, I think.  (A similar functionality for
width can be used based on font-info modifications on the master
branch only, but you could approximate that by assuming the same ratio
between the canonical width and the rescaled width as between the
canonical height and rescaled height.)

For the line height, don't forget the line-spacing issue, which is
taken into account by the default-line-height function.

(Btw, I'm not sure how you get from window-width/height to
width/height of a character; I suspect that you might be trying to
compute something for which helpful functions already exist, so you
are encouraged to tell more details.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20022; Package emacs. Full text available.

Message received at 20022 <at> debbugs.gnu.org:


Received: (at 20022) by debbugs.gnu.org; 7 Mar 2015 09:41:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 07 04:41:40 2015
Received: from localhost ([127.0.0.1]:38113 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YUBEp-0006Pp-PD
	for submit <at> debbugs.gnu.org; Sat, 07 Mar 2015 04:41:40 -0500
Received: from mout.gmx.net ([212.227.17.22]:55256)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <rudalics@HIDDEN>) id 1YUBEn-0006Pb-VI
 for 20022 <at> debbugs.gnu.org; Sat, 07 Mar 2015 04:41:38 -0500
Received: from [178.189.203.248] ([178.189.203.248]) by mail.gmx.com
 (mrgmx101) with ESMTPSA (Nemesis) id 0Lu3J4-1XUxHZ467y-011T5p; Sat, 07 Mar
 2015 10:41:32 +0100
Message-ID: <54FAC7C3.5080504@HIDDEN>
Date: Sat, 07 Mar 2015 10:41:23 +0100
From: martin rudalics <rudalics@HIDDEN>
MIME-Version: 1.0
To: Vitalie Spinu <spinuvit@HIDDEN>, 20022 <at> debbugs.gnu.org
Subject: Re: bug#20022: 24.4.90; window-body-height, window-body-width wrong
 value after text-scale-adjust
References: <874mpx3gh2.fsf@HIDDEN>
In-Reply-To: <874mpx3gh2.fsf@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-15; format=flowed
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K0:viQFuh/d07RAnsa4OPoiLWgaxIJV+zeQL+Vjgiit/DIWlu0vsFt
 LPBTc7LLc0Ietrq5Bzbyx4/1qeNJg7J6zVjEeH061EkV+yyaomIDwyqfpZnZuq6sKhWYwWs
 p99epHwAnr5e2cEWRlhqNbJeq6m8N1iDrynUhcAiBbVqottJExg4eJyq3MthC4tv4oxNE+t
 K+WA8yqRGXg07uGqLQGtw==
X-UI-Out-Filterresults: notjunk:1;
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 20022
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.0 (/)

 > After text-scale-adjust [C-x C-] window-height and window-width return
 > the old (original) value.

Because it did not change.

 > The doc says:
 >
 >   This function returns the height, in lines, of the body of window
 >   WINDOW.
 >
 > So at least the docs are imprecise or incomplete.

Here the doc also says:

   If WINDOW's pixel height is not an integral multiple of its frame's
   character height, the number of lines occupied by WINDOW is rounded
   internally.  This is done in a way such that, if WINDOW is a parent
   window, the sum of the total heights of all its children internally
   equals the total height of WINDOW.

   If the optional argument ROUND is `ceiling', return the smallest
   integer larger than WINDOW's pixel height divided by the character
   height of WINDOW's frame.  ROUND `floor' means to return the largest
   integer smaller than WINDOW's pixel height divided by the character
   height of WINDOW's frame.  Any other value of ROUND means to return
   the internal total height of WINDOW.

 > Relatedly, there seems to be no way to determine the height/width of a
 > character in pixels after rescaling. `frame-char-width` returns the
 > original size.

Because IIUC the values might differ according to the window where the
character is displayed.  I don't know how to get the value you want.
ISTR that someone is currently working on this.

martin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#20022; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Mar 2015 22:32:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Mar 06 17:32:12 2015
Received: from localhost ([127.0.0.1]:37932 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1YU0my-0004BA-Ck
	for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 17:32:12 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36442)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <spinuvit@HIDDEN>) id 1YU0mw-0004Aw-7S
 for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 17:32:10 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <spinuvit@HIDDEN>) id 1YU0mq-0006m8-2q
 for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 17:32:04 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47506)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <spinuvit@HIDDEN>) id 1YU0mq-0006m4-00
 for submit <at> debbugs.gnu.org; Fri, 06 Mar 2015 17:32:04 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:38156)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <spinuvit@HIDDEN>) id 1YU0mo-0004Ox-TV
 for bug-gnu-emacs@HIDDEN; Fri, 06 Mar 2015 17:32:03 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <spinuvit@HIDDEN>) id 1YU0mj-0006kE-RU
 for bug-gnu-emacs@HIDDEN; Fri, 06 Mar 2015 17:32:02 -0500
Received: from mail-wi0-x230.google.com ([2a00:1450:400c:c05::230]:34934)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <spinuvit@HIDDEN>) id 1YU0mj-0006jo-Ku
 for bug-gnu-emacs@HIDDEN; Fri, 06 Mar 2015 17:31:57 -0500
Received: by wibbs8 with SMTP id bs8so6917150wib.0
 for <bug-gnu-emacs@HIDDEN>; Fri, 06 Mar 2015 14:31:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version:content-type;
 bh=jcLZGotORv/r/LAJSLJQV34OuQzbskQnRcKFkAxzW04=;
 b=C9/azQzulflcqXXUp4p/zLubDJ+oBCKc4BI0EVVnwa2nme3VUpBDkN0TRYf/PEKq8s
 H3J37+FhclcJU27KBk2kiCZLBXrC1eYuOCVAATWDj9U4sLuw0vhjvDf03zs0IhmG9Jpl
 u3rohPhY681NBugcjNOzCAEhaVbFmO4JHt6Gw3ewKz/duhDeYuFDh8TsWO7GEFnUqBv3
 0Lzlzt5MX6QRL5vN50+HnqQijV/7z4Iv6VoHotIuZR34qMzliNOrdT5tItyVKEhL4kOv
 csf/WScy5klNrmkUjjA0+hImaNiwn0jywc5nJdMt93gPoz8vQZG+6hrpR42kOBP5FyBn
 Wc7w==
X-Received: by 10.180.85.103 with SMTP id g7mr78664044wiz.19.1425681116034;
 Fri, 06 Mar 2015 14:31:56 -0800 (PST)
Received: from localhost (host-static-86-106-238-197.moldtelecom.md.
 [86.106.238.197])
 by mx.google.com with ESMTPSA id m9sm36003459wiz.24.2015.03.06.14.31.54
 for <bug-gnu-emacs@HIDDEN>
 (version=TLSv1.2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Fri, 06 Mar 2015 14:31:55 -0800 (PST)
From: Vitalie Spinu <spinuvit@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.4.90; window-body-height, window-body-width wrong value after
 text-scale-adjust
Date: Sat, 07 Mar 2015 00:31:53 +0200
Message-ID: <874mpx3gh2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-detected-operating-system: by eggs.gnu.org: Error: Malformed IPv6 address
 (bad octet value).
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)


After text-scale-adjust [C-x C-] window-height and window-width return
the old (original) value.

The doc says:

 This function returns the height, in lines, of the body of window
 WINDOW.

So at least the docs are imprecise or incomplete.

Relatedly, there seems to be no way to determine the height/width of a
character in pixels after rescaling. `frame-char-width` returns the
original size.


Thanks, 

  Vitalie


In GNU Emacs 24.4.90.2 (x86_64-unknown-linux-gnu, GTK+ Version 3.12.2)
 of 2015-02-20 on galago
Repository revision: 35f047c06603ce2e549e43ba38de0e61083b0311
Windowing system distributor `The X.Org Foundation', version 11.0.11600000
System Description:	Ubuntu 14.10




Acknowledgement sent to Vitalie Spinu <spinuvit@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#20022; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 12 Aug 2020 16:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.